Package org.drinkless.tdlib

# Class TdApi.UpdateChatOnlineMemberCount

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Update
org.drinkless.tdlib.TdApi.UpdateChatOnlineMemberCount

Enclosing class:
  `TdApi`

public static class TdApi.UpdateChatOnlineMemberCount extends TdApi.Update
The number of online group members has changed. This update with non-zero number of online group members is sent only for currently opened chats. There is no guarantee that it is sent just after the number of online users has changed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Update

  `TdApi.Update.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `int`
  `onlineMemberCount`
  New number of online members in the chat, or 0 if unknown.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `UpdateChatOnlineMemberCount()`
  The number of online group members has changed.
  `UpdateChatOnlineMemberCount(long chatId, int onlineMemberCount)`
  The number of online group members has changed.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat.

  - ### onlineMemberCount

    public int onlineMemberCount
    New number of online members in the chat, or 0 if unknown.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### UpdateChatOnlineMemberCount

    public UpdateChatOnlineMemberCount()
    The number of online group members has changed. This update with non-zero number of online group members is sent only for currently opened chats. There is no guarantee that it is sent just after the number of online users has changed.

  - ### UpdateChatOnlineMemberCount

    public UpdateChatOnlineMemberCount(long chatId, int onlineMemberCount)
    The number of online group members has changed. This update with non-zero number of online group members is sent only for currently opened chats. There is no guarantee that it is sent just after the number of online users has changed.
    Parameters:
      `chatId` - Identifier of the chat.
      `onlineMemberCount` - New number of online members in the chat, or 0 if unknown.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Update`
    Returns:
      this.CONSTRUCTOR